> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/move.md).

# Move

## Move

> Move a published item to a specified node in the Published Resources tree.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/move":{"post":{"tags":["3-Publishing//0-Basic Operations"],"summary":"Move","description":"Move a published item to a specified node in the Published Resources tree.","operationId":"8b51ecea-0f2c-49b4-8ca4-11e8de187731","parameters":[{"name":"id","in":"path","description":"ID of Pub item to move.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"The Published item to be moved.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/MovePubItem"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"MovePubItem":{"type":"object","properties":{"parentId":{"type":"integer","description":"<para type=\"description\">ID of a new published item parent.</para>\r\n<para type=\"description\">To obtain the published item ID, use the Get-PubItem command.</para>\r\n<para type=\"description\">For the root node, set ParentId to '0' (zero).</para>","format":"int32"},"previousId":{"type":"integer","description":"<para type=\"description\">ID of a sibling after which to place the specified published item.</para>\r\n<para type=\"description\">To obtain the sibling item ID, use the Get-PubItem command.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Move a published item</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/move.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
